Bullet Collision Detection & Physics Library: DeformableBodyInplaceSolverIslandCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DeformableBodyInplaceSolverIslandCallback Struct Reference

`#include <DeformableBodyInplaceSolverIslandCallback.h>`

Inheritance diagram for DeformableBodyInplaceSolverIslandCallback:
[legend]
Collaboration diagram for DeformableBodyInplaceSolverIslandCallback:
[legend]

## Public Member Functions
| DeformableBodyInplaceSolverIslandCallback (btDeformableMultiBodyConstraintSolver *solver, btDispatcher *dispatcher)
virtual void | processConstraints (int islandId=-1)
Public Member Functions inherited from MultiBodyInplaceSolverIslandCallback
| MultiBodyInplaceSolverIslandCallback (btMultiBodyConstraintSolver *solver, btDispatcher *dispatcher)
MultiBodyInplaceSolverIslandCallback & | operator= (const MultiBodyInplaceSolverIslandCallback &other)
virtual void | setup (btContactSolverInfo *solverInfo, btTypedConstraint **sortedConstraints, int numConstraints, btMultiBodyConstraint **sortedMultiBodyConstraints, int numMultiBodyConstraints, btIDebugDraw *debugDrawer)
void | setMultiBodyConstraintSolver (btMultiBodyConstraintSolver *solver)
virtual void | processIsland (btCollisionObject **bodies, int numBodies, btPersistentManifold **manifolds, int numManifolds, int islandId)
Public Member Functions inherited from btSimulationIslandManager::IslandCallback
virtual | ~IslandCallback ()

## Public Attributes
btDeformableMultiBodyConstraintSolver * | m_deformableSolver
Public Attributes inherited from MultiBodyInplaceSolverIslandCallback
btContactSolverInfo * | m_solverInfo
btMultiBodyConstraintSolver * | m_solver
btMultiBodyConstraint ** | m_multiBodySortedConstraints
int | m_numMultiBodyConstraints
btTypedConstraint ** | m_sortedConstraints
int | m_numConstraints
btIDebugDraw * | m_debugDrawer
btDispatcher * | m_dispatcher
btAlignedObjectArray< btCollisionObject * > | m_bodies
btAlignedObjectArray< btCollisionObject * > | m_softBodies
btAlignedObjectArray< btPersistentManifold * > | m_manifolds
btAlignedObjectArray< btTypedConstraint * > | m_constraints
btAlignedObjectArray< btMultiBodyConstraint * > | m_multiBodyConstraints
btAlignedObjectArray< btSolverAnalyticsData > | m_islandAnalyticsData

## Detailed Description

Definition at line 11 of file DeformableBodyInplaceSolverIslandCallback.h.

## Constructor & Destructor Documentation

## ◆ DeformableBodyInplaceSolverIslandCallback()

DeformableBodyInplaceSolverIslandCallback::DeformableBodyInplaceSolverIslandCallback | ( | btDeformableMultiBodyConstraintSolver * | solver,
|  | btDispatcher * | dispatcher )
| inline

Definition at line 15 of file DeformableBodyInplaceSolverIslandCallback.h.

## Member Function Documentation

## ◆ processConstraints()

virtual void DeformableBodyInplaceSolverIslandCallback::processConstraints | ( | int | islandId = -1 | ) |
| inlinevirtual

Reimplemented from MultiBodyInplaceSolverIslandCallback.

Definition at line 21 of file DeformableBodyInplaceSolverIslandCallback.h.

## Member Data Documentation

## ◆ m_deformableSolver

btDeformableMultiBodyConstraintSolver* DeformableBodyInplaceSolverIslandCallback::m_deformableSolver

Definition at line 13 of file DeformableBodyInplaceSolverIslandCallback.h.

The documentation for this struct was generated from the following file:

- DeformableBodyInplaceSolverIslandCallback.h